package cn.newfeifan.mall.module.trade.enums.order;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 交易订单状态枚举
 */
@RequiredArgsConstructor
@Getter
public enum TradeOrderStateEnum {
    ON_THE_WAY("0","在途"),
    COLLECT("1","揽收"),
    ABNORMAL("2","疑难"),
    RECEIVED("3","已签收"),
    CANCEL_A_VISA("4","退签"),
    DELIVERY("5","派件"),
    SEND_BACK("6","退回"),
    TRANSFER_TO("7","转投"),
    REFUSE_TO_SIGN("14","拒签");

    /**
     * 状态值
     */
    private final String state;
    /**
     * 状态名
     */
    private final String name;
}
